// ==========================================================================
// $Id: point2d.h,v 1.1 2011/09/27 17:22:21 jlang Exp $
// CSI2372 example Code for lecture 4
// ==========================================================================
// (C)opyright:
//
//   Jochen Lang
//   SITE, University of Ottawa
//   800 King Edward Ave.
//   Ottawa, On., K1N 6N5
//   Canada. 
//   http://www.site.uottawa.ca
// 
// Creator: jlang (Jochen Lang)
// Email:   jlang@site.uottawa.ca
// ==========================================================================
// $Log: point2d.h,v $
// Revision 1.1  2011/09/27 17:22:21  jlang
// Added bounding shape example
//
// Revision 1.1  2010/09/29 14:28:59  jlang
// Separate files for line_segment and point2d. Added test_point and make label test
//
//
// ==========================================================================
#ifndef POINT_2D
#define POINT_2D

class Point2D {
  double d_x;
  double d_y;
public:
  Point2D( double _x, double _y );
  Point2D add( Point2D _oPoint );
  Point2D subtract( Point2D _oPoint );
  double dot( Point2D _oPoint );
};
#endif
