// ==========================================================================
// $Id: scoped_enumeration.cpp,v 1.2 2013/09/16 19:37:47 jlang Exp $
// CSI2372 example Code for lecture 2
// ==========================================================================
// (C)opyright:
//
//   Jochen Lang
//   EECS, University of Ottawa
//   800 King Edward Ave.
//   Ottawa, On., K1N 6N5
//   Canada. 
//   http://www.site.uottawa.ca
// 
// Creator: jlang (Jochen Lang)
// Email:   jlang@eecs.uottawa.ca
// ==========================================================================
// $Log: scoped_enumeration.cpp,v $
// Revision 1.2  2013/09/16 19:37:47  jlang
// Added scope enumeration
//
//
// ==========================================================================
#include <iostream>

enum class ID : unsigned long long { 
  Zero=0ULL, Other, Large=2346781693637789ULL
};

int main(){
  ID num = ID::Zero;
  if (num == ID::Zero) {
    num = ID::Large;
  }
  std::cout << static_cast<unsigned long long>(num) << std::endl;
  return 0;
}
