// ==========================================================================
// $Id: triangle.cpp,v 1.2 2014/10/22 20:29:25 jlang Exp $
// CSI2372 example Code for lecture 4
// ==========================================================================
// (C)opyright:
//
//   Jochen Lang
//   SITE, University of Ottawa
//   800 King Edward Ave.
//   Ottawa, On., K1N 6N5
//   Canada. 
//   http://www.site.uottawa.ca
// 
// Creator: jlang (Jochen Lang)
// Email:   jlang@site.uottawa.ca
// ==========================================================================
// $Log: triangle.cpp,v $
// Revision 1.2  2014/10/22 20:29:25  jlang
// Minor changes.
//
// Revision 1.1  2011/10/16 02:51:42  jlang
// Added files for lecture 06
//
// ==========================================================================
#include "point2d.h"
#include "aa_box.h"
#include <iostream>

class Triangle {
  Point2D d_vA, d_vB, d_vC;
  AABox* d_bbox;
public:
  Triangle( const Point2D& _vA, const Point2D& _vB,
	    const Point2D& _vC );

  ~Triangle();
};

Triangle::Triangle( const Point2D& _vA, const Point2D& _vB,
		    const Point2D& _vC )
  : d_vA( _vA ), d_vB( _vB ), d_vC( _vC ) 
	{ d_bbox = new AABox(d_vA,d_vB);
}

Triangle::~Triangle() 
{
  std::cout << "DTOR" << std::endl; 
  delete d_bbox;
}

int main() {
  Point2D vA, vB, vC;

  Triangle t(vA,vB,vC);
  Triangle t2(t);
}
