// ==========================================================================
// $Id: function1d.h,v 1.1 2013/10/09 14:07:40 jlang Exp $
// CSI2372 example Code
// ==========================================================================
// (C)opyright:
//
//   Jochen Lang
//   SITE, University of Ottawa
//   800 King Edward Ave.
//   Ottawa, On., K1N 6N5
//   Canada. 
//   http://www.site.uottawa.ca
// 
// Creator: jlang (Jochen Lang)
// Email:   jlang@site.uottawa.ca
// ==========================================================================
// $Log: function1d.h,v $
// Revision 1.1  2013/10/09 14:07:40  jlang
// Changed header file extension to .h
//
// Revision 1.2  2008/10/27 03:09:42  jlang
// removed extra cr
//
// Revision 1.1  2006/10/23 03:03:21  jlang
// Pointer class varibles added
//
//
// ==========================================================================
#ifndef FUNCTION_1D
#define FUNCTION_1D

class F1D {
  double d_xStart, d_xEnd, d_xStep;
  double * d_y;
  int d_nElements;
public:
  F1D( double _xStart = 0.0, 
       double _xEnd = 0.0, 
       double _xStep = 1.0 );
#ifdef OWN_COPY
  F1D( const F1D& _oF );
#endif

  ~F1D();
  void evaluatePoly( double _coefficients[], int _degree );
  void print();
};

#endif
