// ==========================================================================
// $Id: matrix_multiply.cpp,v 1.1 2013/11/06 17:22:56 jlang Exp $
// CSI2372 example Code for lecture 12
// ==========================================================================
// (C)opyright:
//
//   Jochen Lang
//   SITE, University of Ottawa
//   800 King Edward Ave.
//   Ottawa, On., K1N 6N5
//   Canada. 
//   http://www.site.uottawa.ca
// 
// Creator: jlang (Jochen Lang)
// Email:   jlang@site.uottawa.ca
// ==========================================================================
// $Log: matrix_multiply.cpp,v $
// Revision 1.1  2013/11/06 17:22:56  jlang
// Created templated vector example
//
// Revision 1.2  2006/11/20 21:34:07  jlang
// Added friend/inline/static demo
//
//
// ==========================================================================
#include <iostream>

#include "matrix3d.h"
#include "vector3d.h"

using std::cout;
using std::endl;

int main() {
  Matrix3D mat;
  Vector3D vec(1.0,2.0,3.0);
  cout << mat << "* " << vec << endl;
  Vector3D res = mat * vec;
  cout << "= " << res << endl;  
  // see if result is zero
  if ( !res ) {
    cout << "Result vector is zero!" << endl;
  } 
  if ( res ) {
    cout << "Result vector is not zero!" << endl;
  }
  return 0;
}
